Package org.opensaml.security.criteria

# Class KeyLengthCriterion

java.lang.Object
org.opensaml.security.criteria.KeyLengthCriterion

All Implemented Interfaces:
  `Criterion`

public final class KeyLengthCriterion extends Object implements Criterion
An implementation of `Criterion` which specifies key length criteria.

## Field Summary

Fields
Modifier and Type
Field
Description
`private int`
`keyLength`
Key length of resolved credentials.

## Constructor Summary

Constructors
Constructor
Description
`KeyLengthCriterion(int length)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`int`
`getKeyLength()`
Get the key length.
`int`
`hashCode()`
`void`
`setKeyLength(int length)`
Set the key length.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### keyLength

private int keyLength
Key length of resolved credentials.

## Constructor Details

### KeyLengthCriterion

public KeyLengthCriterion(int length)
Constructor.

Parameters:
  `length` - key length

## Method Details

### getKeyLength

public int getKeyLength()
Get the key length.

Returns:
  Returns the keyLength.

### setKeyLength

public void setKeyLength(int length)
Set the key length.

Parameters:
  `length` - The keyLength to set.

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`